Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.hash
Class StoreBaseHash

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout2.StoreBase
              com.hp.hpl.jena.sdb.layout2.hash.StoreBaseHash

All Implemented Interfaces:
  Store

Direct Known Subclasses:
  StoreTriplesNodesHashDB2, StoreTriplesNodesHashDerby, StoreTriplesNodesHashH2, StoreTriplesNodesHashMySQL, StoreTriplesNodesHashOracle, StoreTriplesNodesHashPGSQL, StoreTriplesNodesHashSQLServer

    public class StoreBaseHash

extends StoreBase

Constructor Summary
`StoreBaseHash(SDBConnection connection, StoreDesc desc, StoreFormatter formatter, StoreLoader loader, QueryCompilerFactory compilerF, SQLBridgeFactory sqlBridgeF, SQLGenerator sqlGenerator)`

Method Summary
`long` | `getSize(com.hp.hpl.jena.graph.Node node)` Get the size of the graph corresponding to graphNode
`static long` | `getSize(SDBConnection connection, TableDescQuads tableDescQuads, com.hp.hpl.jena.graph.Node node)`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.StoreBase
`close, getConfiguration, getConnection, getDatabaseType, getLayoutType, getLoader, getNodeTableDesc, getQuadTableDesc, getQueryCompilerFactory, getSize, getSQLBridgeFactory, getSQLGenerator, getTableFormatter, getTripleTableDesc, isClosed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreBaseHash

    public StoreBaseHash(SDBConnection connection,
                         StoreDesc desc,
                         StoreFormatter formatter,
                         StoreLoader loader,
                         QueryCompilerFactory compilerF,
                         SQLBridgeFactory sqlBridgeF,
                         SQLGenerator sqlGenerator)

Method Detail

### getSize

    public long getSize(com.hp.hpl.jena.graph.Node node)

  Description copied from interface: `Store`
  Get the size of the graph corresponding to graphNode

### getSize

    public static long getSize(SDBConnection connection,
                               TableDescQuads tableDescQuads,
                               com.hp.hpl.jena.graph.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.